{% extends "layouts/base.html" %}
{% block    pageCSS %}
<link rel="stylesheet" href="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.css">
{% endblock pageCSS %}

{% block    pageJS %}
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/bootstrap-table.min.js"></script>
<script src="https://unpkg.com/bootstrap-table@1.18.3/dist/extensions/filter-control/bootstrap-table-filter-control.min.js"></script>
{% endblock pageJS %}

{% block    pageContent %}
<div class="container-fluid">
	<h1>Products - List</h1>
	<p>This example shows how to list data using bootstrap-table</p>

	<table
		class="text-dark"
		data-url="/admin/products/retrieve"
		data-page-list="[10, 25, 50, 100, all]"
		data-pagination="true"
		data-search="true"
		data-side-pagination="server"
		data-filter-control="true"
		data-toggle="table">
		<thead>
			<tr>
				<th data-field="name"        data-sortable="true" data-filter-control="input">Name</th>
				<th data-field="price"       data-sortable="true" data-filter-control="input">Price</th>
				<th data-field="description" data-sortable="true" data-filter-control="input">Description</th>
			</tr>
		</thead>
		<!-- solution 1, like last time old loop days -->
		<!--
		<tbody>
			{% for p in data %}
			<tr>
			  <td>{{p.name}}</td>
			  <td>{{p.price}}</td>
			  <td>{{p.description}}</td>
			</tr>
			{% endfor %}
		</tbody>
		-->
	</table>
	<!--
	{% for p in data %}
	<div class="row">
		<div class="col">
			{{p.uuid}}
		</div>
		<div class="col">
			{{p.name}}
		</div>
		<div class="col">
			{{p.price}}
		</div>
		<div class="col">
			{{p.description}}
		</div>
		<div class="col">
			<a href="/admin/products/update/{{p.uuid}}">Update</a>
			<a href="/admin/products/delete/{{p.uuid}}">Delete</a>
		</div>
	</div>
	{% endfor %}
	-->
</div>
{% endblock pageContent %}